Delete Item Customer Price
curl --request DELETE \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/customerPrices/{customerId}/{fromQuantity} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/customerPrices/{customerId}/{fromQuantity}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/customerPrices/{customerId}/{fromQuantity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Delete Item Customer Price
Delete a specific customer price for a given item
DELETE
/
v1
/
items
/
{itemId}
/
customerPrices
/
{customerId}
/
{fromQuantity}
Delete Item Customer Price
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The quantity for the bulk price
The id of the item that the customer specific price belongs to.
The customer Id of the item that the customer specific price belongs to. Represents a unique key for identifying a customer in the JTL system.
Response
Was this page helpful?
⌘I